ur_rna.GUITester.GuiTools

## Class GuiItemRef

- java.lang.Object
- - ur_rna.GUITester.GuiTools.GuiItemRef

-     @ToFriendlyString
      public class GuiItemRef
      extends java.lang.Object

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `GuiItemRef.ComponentMatcher` Returns a Matcher that always matches a single known component.

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `java.awt.Component` | `lastFound`
    `abbot.finder.Matcher` | `matcher`
    `private GuiRelative` | `relationship`
    `private GuiItemRef` | `relative`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `GuiItemRef(java.awt.Component identity)` Returns a GuiItemRef that always matches a single known component.
    `GuiItemRef(abbot.finder.Matcher matcher)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `GuiItemRef` | `clearFound(boolean clearRelatives)`
    `java.awt.Component` | `getLastFound()`
    `GuiRelative` | `getRelationship()`
    `GuiItemRef` | `getRelative()`
    `java.lang.String` | `relativeToString(boolean includeFullRelativeDescription)`
    `void` | `setRelative(GuiItemRef relative, GuiRelative relationship)`
    `java.lang.String` | `toString()`
    `java.lang.String` | `toString(boolean includeFullRelativeDescription)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### lastFound

          public java.awt.Component lastFound

    - #### matcher

          public final abbot.finder.Matcher matcher

    - #### relationship

          private GuiRelative relationship

    - #### relative

          private GuiItemRef relative

  - ### Constructor Detail

    - #### GuiItemRef

          public GuiItemRef(java.awt.Component identity)

      Returns a GuiItemRef that always matches a single known component.
      Parameters:
        `identity` - The component to match

    - #### GuiItemRef

          public GuiItemRef(abbot.finder.Matcher matcher)

  - ### Method Detail

    - #### clearFound

          public GuiItemRef clearFound(boolean clearRelatives)

    - #### getLastFound

          public java.awt.Component getLastFound()

    - #### getRelationship

          public GuiRelative getRelationship()

    - #### getRelative

          public GuiItemRef getRelative()

    - #### relativeToString

          public java.lang.String relativeToString(boolean includeFullRelativeDescription)

    - #### setRelative

          public void setRelative(GuiItemRef relative,
                                  GuiRelative relationship)

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

    - #### toString

          public java.lang.String toString(boolean includeFullRelativeDescription)